Name:          gamescope
Version:       3.16.2
Release:       1mamba
Summary:       SteamOS session compositing window manager
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ValveSoftware/gamescope
Source:        https://github.com/ValveSoftware/gamescope.git/%{version}/gamescope-%{version}.tar.bz2
Patch0:        gamescope-3.16.2-system-wlroots.patch
Patch1:        gamescope-3.16.2-add-pixman-dependency.patch
Patch2:        gamescope-3.16.2-wlroots-0.18.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: libXtst-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libavif-devel
BuildRequires: libcap-devel
BuildRequires: libdecor-devel
BuildRequires: libdisplay-info-devel
BuildRequires: libdrm-devel
BuildRequires: libei-devel
BuildRequires: libgcc
BuildRequires: libliftoff-devel
BuildRequires: libluajit-devel
BuildRequires: libpipewire-devel
BuildRequires: libpixman-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
BuildRequires: libwlroots-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: meson
BuildRequires: libstb-devel
#BuildRequires: vkroots-devel

%description
SteamOS session compositing window manager.

%prep
%setup -q
%patch 0 -p1 -b .system-wlroots
%patch 1 -p1 -b .add-pixman-dependency
%patch 2 -p1 -b .wlroots-0.18

# Replace spirv-headers include with the system directory
sed -i 's^../thirdparty/SPIRV-Headers/include/spirv/^/usr/include/spirv/^' src/meson.build

%build
%meson \
    -Dforce_fallback_for=[] \
    -Dpipewire=enabled

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

# Remove internally provided vkroots (FIXME: does not build with current vkroots-devel)
rm -f %{buildroot}%{_includedir}/vkroots.h
rm -f %{buildroot}%{_libdir}/pkgconfig/vkroots.pc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gamescope
%{_bindir}/gamescopectl
%{_bindir}/gamescopereaper
%{_bindir}/gamescopestream
%{_prefix}/lib/libopenvr_api.a
%{_libdir}/libVkLayer_FROG_gamescope_wsi_*.so
%dir %{_datadir}/gamescope
%dir %{_datadir}/gamescope/scripts
%dir %{_datadir}/gamescope/scripts/00-gamescope
%dir %{_datadir}/gamescope/scripts/00-gamescope/common
%{_datadir}/gamescope/scripts/00-gamescope/common/*
%dir %{_datadir}/gamescope/scripts/00-gamescope/displays
%{_datadir}/gamescope/scripts/00-gamescope/displays/*
%{_datadir}/gamescope/scripts/README.md
%{_datadir}/vulkan/implicit_layer.d/VkLayer_FROG_gamescope_wsi.*.json
%doc LICENSE

%changelog
* Sun Mar 23 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.2-1mamba
- package created using the webbuild interface
